Weedle

  A Web IDL parser

    API Docs (https://docs.rs/weedle)
     | 
    Chat (https://discordapp.com/channels/442252698964721669/443151097398296587)

  Built with 🦀🕸 by The Rust and WebAssembly Working Group (https://rustwasm.github.io/)

## About

Parses valid WebIDL definitions & produces a data structure starting from
[`Definitions`](https://docs.rs/weedle/latest/weedle/type.Definitions.html).

## Usage

### `Cargo.toml`

```toml
[dependencies]
weedle = "0.9.0"
```

### `src/main.rs`

```rust
fn main() {
    let parsed = weedle::parse("
        interface Window {
            readonly attribute Storage sessionStorage;
        };
    ").unwrap();

    println!("{:?}", parsed);
}
```
